{"components":{"callbacks":{},"examples":{},"headers":{},"links":{},"parameters":{},"requestBodies":{},"responses":{},"schemas":{"BulkMmmBrandGroupOverridesOperationResponse":{"properties":{"error":{"items":{"properties":{"error":{"$ref":"#/components/schemas/MmmError"},"index":{"description":"The index of the override in the array from the request body.","format":"int32","maximum":99,"minimum":0,"type":"integer"}},"type":"object"},"maxItems":100,"minItems":0,"type":"array"},"success":{"items":{"properties":{"index":{"description":"The index of the override in the array from the request body.","format":"int32","maximum":99,"minimum":0,"type":"integer"},"override":{"$ref":"#/components/schemas/MmmBrandGroupOverride"}},"type":"object"},"maxItems":100,"minItems":0,"type":"array"}},"type":"object"},"MmmBrandGroup":{"description":"The predefined brand or group of products being reported on.","properties":{"advertiserName":{"description":"Name of the advertiser associated with the brand group.","type":"string"},"brandGroupId":{"description":"The unique identifier of the brand group.","type":"string"},"brandGroupName":{"description":"The display name of the brand group.","type":"string"},"countryCode":{"description":"The ISO 3166 country code of the marketplace associated with the brand group.","type":"string"},"permittedMetricsTypes":{"description":"The permitted metrics types for reports of this brand group.","items":{"enum":["MEDIA_AND_SALES","MEDIA_ONLY"],"type":"string"},"type":"array"}},"type":"object"},"MmmBrandGroupCampaign":{"properties":{"adProduct":{"description":"The ad product associated with the campaign.","enum":["AMAZON_DSP","SPONSORED_BRANDS","SPONSORED_DISPLAY","SPONSORED_PRODUCTS","SPONSORED_TELEVISION"],"type":"string"},"campaignId":{"description":"The unique numerical ID associated with a campaign.","type":"string"},"endDate":{"description":"The end date of the campaign.","format":"date","type":"string"},"firstTrafficDate":{"description":"The date of the earliest traffic for the campaign.","format":"date","type":"string"},"lastTrafficDate":{"description":"The date of the latest traffic for the campaign.","format":"date","type":"string"},"name":{"description":"The advertiser-specified name of the campaign.","type":"string"},"startDate":{"description":"The start date of the campaign.","format":"date","type":"string"}},"type":"object"},"MmmBrandGroupOverride":{"properties":{"brandGroupId":{"description":"The unique identifier of the brand group to override.","type":"string"},"identifierType":{"description":"The type of identifier.","enum":["ASIN","CAMPAIGN_ID"],"type":"string"},"identifierValue":{"description":"The identifier value.","type":"string"},"overrideId":{"description":"The unique identifier of the override.","type":"string"},"overrideType":{"description":"The type of override.","enum":["EXCLUDE","INCLUDE"],"type":"string"},"status":{"description":"The override status.\n|Value|Description|\n|---|---|\n|PENDING_REVIEW|Override must be reviewed by Amazon. New reports for the brand group will not process until the review is completed.|\n|APPROVED|Override will be applied to the brand group for new reports.|\n|NOT_APPROVED|Override will not be applied to the brand group.|","enum":["APPROVED","NOT_APPROVED","PENDING_REVIEW"],"type":"string"}},"type":"object"},"MmmBrandGroupProduct":{"properties":{"asin":{"description":"The Amazon Standard Identification Number (ASIN) of the product.","type":"string"},"firstOrderDate":{"description":"The date of the earliest order of the product.","format":"date","type":"string"},"lastOrderDate":{"description":"The date of the latest order of the product.","format":"date","type":"string"},"productCategory":{"description":"The product category.","type":"string"},"productGroup":{"description":"The product group.","type":"string"},"productSubcategory":{"description":"The product subcategory.","type":"string"},"title":{"description":"The product title.","type":"string"}},"type":"object"},"MmmError":{"properties":{"code":{"description":"Error code.","type":"string"},"message":{"description":"Human-readable error message.","type":"string"}},"type":"object"},"MmmReport":{"properties":{"configuration":{"$ref":"#/components/schemas/MmmReportConfiguration"},"createdAt":{"description":"The date and time when the report was created.","format":"date-time","type":"string"},"description":{"description":"A description of the report.","type":"string"},"dueDate":{"description":"The due date of the report.","format":"date","type":"string"},"endDate":{"description":"Inclusive end of the reporting period.","format":"date","type":"string"},"failureCode":{"description":"An error code indicating why the report failed. Present when the status is `FAILED`.","type":"string"},"failureMessage":{"description":"A human-readable message providing more information about the failure. Present when the status is `FAILED`.","type":"string"},"reportId":{"description":"The unique identifier of the report.","type":"string"},"reportName":{"description":"The display name of the report.","type":"string"},"startDate":{"description":"Inclusive start of the reporting period.","format":"date","type":"string"},"status":{"description":"The report generation status.\n|Value|Description|\n|---|---|\n|PENDING|Report is created and awaiting processing.|\n|PROCESSING|Report is processing.|\n|SUCCEEDED|Report is completed. Check `urls` for the output files.|\n|FAILED|Report processing failed. Check the `failureCode` and `failureMessage` for details.|\n|CANCELED|Report is canceled. Contact \u003cmmm-support@amazon.com\u003e if this is unexpected.|","enum":["CANCELED","FAILED","PENDING","PROCESSING","SUCCEEDED"],"type":"string"},"urls":{"description":"The URLs for downloading output files. Present when the status is `SUCCEEDED`.","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"urlsExpireAt":{"description":"The expiration date of the download URLs. Present when the status is `SUCCEEDED`.","format":"date-time","type":"string"}},"type":"object"},"MmmReportConfiguration":{"properties":{"brandGroupId":{"description":"Identifies the brand group being reported on.","type":"string"},"geoDimension":{"description":"Geographic granularity of the report.\n|Value|Description|\n|---|---|\n|COUNTRY|Aggregate metrics by country.|\n|POSTAL_CODE|Aggregate metrics by postal code, e.g. ZIP Code. Valid only in select countries.|\n|DMA|Aggregate metrics by DMA® (Designated Market Area) region. Valid only in the US.|","enum":["COUNTRY","DMA","POSTAL_CODE"],"type":"string"},"metricsType":{"description":"The type of metrics to include in the report.\n|Value|Description|\n|---|---|\n|MEDIA_ONLY|Core advertising metrics only.|\n|MEDIA_AND_SALES|Advertising and retail metrics.|","enum":["MEDIA_AND_SALES","MEDIA_ONLY"],"type":"string"},"timeUnit":{"description":"Time granularity of the report.\n|Value|Description|\n|---|---|\n|DAILY|Aggregate metrics with daily granularity.|\n|WEEKLY|Aggregate metrics with weekly granularity.|","enum":["DAILY","WEEKLY"],"type":"string"}},"required":["brandGroupId","geoDimension","metricsType","timeUnit"],"type":"object"}},"securitySchemes":{}},"info":{"description":"Request reports containing aggregated Amazon sales and media performance signals needed for marketing mix modeling (MMM).","title":"Marketing Mix Modeling","version":"3.0"},"openapi":"3.0.1","paths":{"/mmm/v1/brandGroupOverrides":{"post":{"description":"Create overrides for brand groups. An override forces a brand group to include or exclude a specific product or campaign in reports. The products in a brand group can be listed in `GET /mmm/v1/brandGroups/{brandGroupId}/products`. The campaigns in a brand group can be listed in `GET /mmm/v1/brandGroups/{brandGroupId}/campaigns`. Some overrides require Amazon review before they are applied. If a brand group has an override that is `PENDING_REVIEW`, new reports for that brand group will not process until the review is completed. Overrides that are not permitted for the brand group will immediately return a 403 error code. Contact \u003cmmm-support@amazon.com\u003e if this is unexpected.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"createMmmBrandGroupOverrides","requestBody":{"content":{"application/json":{"example":{"overrides":[{"brandGroupId":"23d7c364-0124-410b-b899-8475eddbafef","identifierType":"ASIN","identifierValue":"B0018OFKJS","overrideType":"INCLUDE"},{"brandGroupId":"23d7c364-0124-410b-b899-8475eddbafef","identifierType":"CAMPAIGN_ID","identifierValue":"2456167530601","overrideType":"INCLUDE"},{"brandGroupId":"23d7c364-0124-410b-b899-8475eddbafef","identifierType":"CAMPAIGN_ID","identifierValue":"7286325070001","overrideType":"EXCLUDE"}]},"schema":{"properties":{"overrides":{"items":{"properties":{"brandGroupId":{"description":"The unique identifier of the brand group to override.","type":"string"},"identifierType":{"description":"The type of identifier.\n|Value|Description|\n|---|---|\n|ASIN|The Amazon Standard Identification Number of a product.|\n|CAMPAIGN_ID|The unique numerical ID associated with a campaign.|","enum":["ASIN","CAMPAIGN_ID"],"type":"string"},"identifierValue":{"description":"The identifier value.","type":"string"},"overrideType":{"description":"The type of override.\n|Value|Description|\n|---|---|\n|INCLUDE|Include products or campaigns matching the identifier in reports.|\n|EXCLUDE|Exclude products or campaigns matching the identifier from reports.|","enum":["EXCLUDE","INCLUDE"],"type":"string"}},"required":["brandGroupId","identifierType","identifierValue","overrideType"],"type":"object"},"maxItems":100,"minItems":1,"type":"array"}},"required":["overrides"],"type":"object"}}}},"responses":{"207":{"content":{"application/json":{"example":{"overrides":{"error":[{"error":{"code":"404","message":"Not found"},"index":"1"}],"success":[{"index":"0","override":{"brandGroupId":"23d7c364-0124-410b-b899-8475eddbafef","identifierType":"ASIN","identifierValue":"B0018OFKJS","overrideId":"5f47524b-0c20-405e-95c7-abe8965f28b2","overrideType":"INCLUDE","status":"PENDING_REVIEW"}},{"index":"2","override":{"brandGroupId":"23d7c364-0124-410b-b899-8475eddbafef","identifierType":"CAMPAIGN_ID","identifierValue":"7286325070001","overrideId":"4d493a60-02af-4e49-a318-b8bf1e8cbbae","overrideType":"EXCLUDE","status":"APPROVED"}}]}},"schema":{"properties":{"overrides":{"$ref":"#/components/schemas/BulkMmmBrandGroupOverridesOperationResponse"}},"type":"object"}}},"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"Create brand group overrides","tags":["Brand Group Overrides"]}},"/mmm/v1/brandGroupOverrides/delete":{"post":{"description":"Delete overrides for brand groups. If this operation deletes all the overrides in a brand group that are `PENDING_REVIEW`, any reports waiting on those reviews will be processed.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"deleteMmmBrandGroupOverrides","requestBody":{"content":{"application/json":{"example":{"overrideIdFilter":{"include":["4d493a60-02af-4e49-a318-b8bf1e8cbbae","6e2f60a2-95f0-4056-8616-08c7dbdcdb2a"]}},"schema":{"properties":{"overrideIdFilter":{"description":"Delete overrides with these ID values.","properties":{"include":{"items":{"type":"string"},"maxItems":100,"minItems":1,"type":"array"}},"required":["include"],"type":"object"}},"required":["overrideIdFilter"],"type":"object"}}}},"responses":{"207":{"content":{"application/json":{"example":{"overrides":{"error":[{"error":{"code":"404","message":"Not found"},"index":"1"}],"success":[{"index":"0","override":{"brandGroupId":"23d7c364-0124-410b-b899-8475eddbafef","identifierType":"CAMPAIGN_ID","identifierValue":"7286325070001","overrideId":"4d493a60-02af-4e49-a318-b8bf1e8cbbae","overrideType":"EXCLUDE","status":"APPROVED"}}]}},"schema":{"properties":{"overrides":{"$ref":"#/components/schemas/BulkMmmBrandGroupOverridesOperationResponse"}},"type":"object"}}},"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"Delete brand group overrides","tags":["Brand Group Overrides"]}},"/mmm/v1/brandGroupOverrides/list":{"post":{"description":"List overrides for brand groups.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"listMmmBrandGroupOverrides","requestBody":{"content":{"application/json":{"example":{"brandGroupIdFilter":{"include":["23d7c364-0124-410b-b899-8475eddbafef"]},"maxResults":"100","overrideIdFilter":{"include":["4d493a60-02af-4e49-a318-b8bf1e8cbbae","5f47524b-0c20-405e-95c7-abe8965f28b2"]}},"schema":{"properties":{"brandGroupIdFilter":{"description":"Only list overrides for these brand groups.","properties":{"include":{"items":{"type":"string"},"maxItems":100,"minItems":1,"type":"array"}},"required":["include"],"type":"object"},"maxResults":{"default":"100","description":"Number of records to include in the paginated response. Defaults to max page size.","format":"int32","maximum":100,"minimum":1,"type":"integer"},"nextToken":{"description":"Token value allowing navigation to the next response page.","type":"string"},"overrideIdFilter":{"description":"Only list overrides with these ID values.","properties":{"include":{"items":{"type":"string"},"maxItems":100,"minItems":1,"type":"array"}},"required":["include"],"type":"object"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"example":{"overrides":[{"brandGroupId":"23d7c364-0124-410b-b899-8475eddbafef","identifierType":"ASIN","identifierValue":"B0018OFKJS","overrideId":"5f47524b-0c20-405e-95c7-abe8965f28b2","overrideType":"INCLUDE","status":"PENDING_REVIEW"},{"brandGroupId":"23d7c364-0124-410b-b899-8475eddbafef","identifierType":"CAMPAIGN_ID","identifierValue":"7286325070001","overrideId":"4d493a60-02af-4e49-a318-b8bf1e8cbbae","overrideType":"EXCLUDE","status":"APPROVED"}]},"schema":{"properties":{"nextToken":{"description":"Token value allowing navigation to the next response page.","type":"string"},"overrides":{"items":{"$ref":"#/components/schemas/MmmBrandGroupOverride"},"maxItems":100,"minItems":0,"type":"array"}},"type":"object"}}},"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"List brand group overrides","tags":["Brand Group Overrides"]}},"/mmm/v1/brandGroups/list":{"post":{"description":"Lists the predefined brand groups for which reports may be requested. A `brandGroupId` must be provided in each request to create a report using `POST /mmm/v1/reports`. Brand groups are configured by an MMM program manager as part of the onboarding process. Contact \u003cmmm-support@amazon.com\u003e with any questions about the brand groups defined for your manager account.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"listMmmBrandGroups","requestBody":{"content":{"application/json":{"example":{"countryCodeFilter":{"include":["CA","US"]},"maxResults":"100"},"schema":{"properties":{"brandGroupIdFilter":{"description":"Only list brand groups with one of these ID values.","properties":{"include":{"items":{"type":"string"},"maxItems":100,"minItems":1,"type":"array"}},"required":["include"],"type":"object"},"countryCodeFilter":{"description":"Only list brand groups with one of these ISO 3166 country codes.","properties":{"include":{"items":{"type":"string"},"maxItems":100,"minItems":1,"type":"array"}},"required":["include"],"type":"object"},"maxResults":{"default":"100","description":"Number of records to include in the paginated response. Defaults to max page size.","format":"int32","maximum":100,"minimum":1,"type":"integer"},"nextToken":{"description":"Token value allowing navigation to the next response page.","type":"string"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"example":{"brandGroups":[{"advertiserName":"Jack \u0026 Jill","brandGroupId":"68d71a07-a3ea-47f2-9051-df7fd08a64da","brandGroupName":"Continuous Protection Sunscreen Lotion for Kids","countryCode":"US","permittedMetricsTypes":["MEDIA_ONLY"]},{"advertiserName":"Accent Athletics","brandGroupId":"d0145381-b4a9-41a0-83de-e56c8f07d712","brandGroupName":"Running Shoes","countryCode":"US","permittedMetricsTypes":["MEDIA_AND_SALES","MEDIA_ONLY"]},{"advertiserName":"Accent Athletics","brandGroupId":"23d7c364-0124-410b-b899-8475eddbafef","brandGroupName":"Apparel","countryCode":"US","permittedMetricsTypes":["MEDIA_AND_SALES","MEDIA_ONLY"]},{"advertiserName":"Accent Athletics","brandGroupId":"e720c323-bbe5-4729-b48e-4952a3b09146","brandGroupName":"Apparel","countryCode":"CA","permittedMetricsTypes":["MEDIA_AND_SALES","MEDIA_ONLY"]}]},"schema":{"properties":{"brandGroups":{"items":{"$ref":"#/components/schemas/MmmBrandGroup"},"maxItems":100,"minItems":0,"type":"array"},"nextToken":{"description":"Token value allowing navigation to the next response page.","type":"string"}},"type":"object"}}},"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"List brand groups","tags":["Brand Groups"]}},"/mmm/v1/brandGroups/{brandGroupId}/campaigns":{"get":{"description":"Returns the list of campaigns associated with the products in a brand group. Only campaigns run within the last 3 years are listed. Each report for the brand group will include the campaigns from this list run within the requested date range. Campaigns can be added or removed from the brand group by creating overrides using `POST /mmm/v1/brandGroupOverrides`. Note that overrides changing the products in a brand group also affect the campaigns.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"getMmmBrandGroupCampaigns","parameters":[{"description":"Token value allowing navigation to the next response page.","in":"query","name":"nextToken","schema":{"type":"string"}},{"description":"Number of records to include in the paginated response. Defaults to max page size.","in":"query","name":"maxResults","schema":{"default":"100","maximum":100,"minimum":1,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"example":{"campaigns":[{"adProduct":"SPONSORED_PRODUCTS","campaignId":"7286325070001","endDate":"2024-12-31","firstTrafficDate":"2024-01-01","lastTrafficDate":"2024-11-15","name":"FY24 Accent Athletics In-Market Campaign - Shirts","startDate":"2024-01-01"}]},"schema":{"properties":{"campaigns":{"items":{"$ref":"#/components/schemas/MmmBrandGroupCampaign"},"maxItems":100,"minItems":0,"type":"array"},"nextToken":{"description":"Token value allowing navigation to the next response page.","type":"string"}},"type":"object"}}},"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Not found."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"Get campaigns in a brand group","tags":["Brand Groups"]}},"/mmm/v1/brandGroups/{brandGroupId}/products":{"get":{"description":"Returns the list of products in a brand group. Only products sold within the last 3 years are listed. Each report for the brand group will include the products from this list sold within the requested date range. Products can be added or removed from the brand group by creating overrides using `POST /mmm/v1/brandGroupOverrides`.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"getMmmBrandGroupProducts","parameters":[{"description":"Token value allowing navigation to the next response page.","in":"query","name":"nextToken","schema":{"type":"string"}},{"description":"Number of records to include in the paginated response. Defaults to max page size.","in":"query","name":"maxResults","schema":{"default":"100","maximum":100,"minimum":1,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"example":{"products":[{"asin":"B0018OFKJS","firstOrderDate":"2022-02-14","lastOrderDate":"2024-06-13","productCategory":"Men\u0027s Athletic","productGroup":"Apparel","productSubcategory":"Tops/Tees","title":"Men\u0027s Stretch Performance Tank Top"}]},"schema":{"properties":{"nextToken":{"description":"Token value allowing navigation to the next response page.","type":"string"},"products":{"items":{"$ref":"#/components/schemas/MmmBrandGroupProduct"},"maxItems":100,"minItems":0,"type":"array"}},"type":"object"}}},"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Not found."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"Get products in a brand group","tags":["Brand Groups"]}},"/mmm/v1/reports":{"post":{"description":"Creates a report. Each report requires the `brandGroupId` of a predefined brand group listed in `POST /mmm/v1/brandGroups/list`. The response will include a `reportId` that can be used to poll the status and results.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"createMmmReport","requestBody":{"content":{"application/json":{"example":{"configuration":{"brandGroupId":"d0145381-b4a9-41a0-83de-e56c8f07d712","geoDimension":"POSTAL_CODE","metricsType":"MEDIA_AND_SALES","timeUnit":"WEEKLY"},"description":"Weekly media \u0026 sales by ZIP Code.","dueDate":"2024-04-15","endDate":"2024-03-31","reportName":"Accent Athletics US Running Shoes Q1 2024","startDate":"2024-01-01"},"schema":{"properties":{"configuration":{"$ref":"#/components/schemas/MmmReportConfiguration"},"description":{"description":"A description of the report.","type":"string"},"dueDate":{"description":"The due date of the report. Used for prioritization.","format":"date","type":"string"},"endDate":{"description":"Inclusive end of the reporting period. Must be a Saturday or Sunday when `timeUnit` is `WEEKLY`.","format":"date","type":"string"},"reportName":{"description":"The display name of the report.","type":"string"},"startDate":{"description":"Inclusive start of the reporting period. Must be a Sunday or Monday when `timeUnit` is `WEEKLY`.","format":"date","type":"string"}},"required":["configuration","endDate","startDate"],"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"example":{"configuration":{"brandGroupId":"d0145381-b4a9-41a0-83de-e56c8f07d712","geoDimension":"POSTAL_CODE","metricsType":"MEDIA_AND_SALES","timeUnit":"WEEKLY"},"createdAt":"2024-04-12T07:00:00Z","description":"Weekly media \u0026 sales by ZIP Code.","dueDate":"2024-04-15","endDate":"2024-03-31","reportId":"3190da6e-5633-4b9a-b588-acfcdcf4d47e","reportName":"Accent Athletics US Running Shoes Q1 2024","startDate":"2024-01-01","status":"PENDING"},"schema":{"$ref":"#/components/schemas/MmmReport"}}},"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too early. Request is a duplicate of a processing request."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"Create a report","tags":["Reports"]}},"/mmm/v1/reports/list":{"post":{"description":"Returns a list of reports and their generation status. When the `status` is `SUCCESSFUL` the output files will be available for download at `urls`. Each report may take up to 24 hours to be processed. Repeated calls to check report status may generate a 429 response, indicating that your requests have been throttled. To retrieve reports programmatically, your application logic should institute a delay between requests.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"listMmmReports","requestBody":{"content":{"application/json":{"example":{"maxResults":"100","reportIdFilter":{"include":["3190da6e-5633-4b9a-b588-acfcdcf4d47e","e7d8d3c5-92f8-42fa-8e29-aa3e80d49e0d"]}},"schema":{"properties":{"maxResults":{"default":"100","description":"Number of records to include in the paginated response. Defaults to max page size.","format":"int32","maximum":100,"minimum":1,"type":"integer"},"nextToken":{"description":"Token value allowing navigation to the next response page.","type":"string"},"reportIdFilter":{"description":"Only list reports with these ID values.","properties":{"include":{"items":{"type":"string"},"maxItems":100,"minItems":1,"type":"array"}},"required":["include"],"type":"object"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"example":{"reports":[{"configuration":{"brandGroupId":"d0145381-b4a9-41a0-83de-e56c8f07d712","geoDimension":"COUNTRY","metricsType":"MEDIA_ONLY","timeUnit":"DAILY"},"createdAt":"2024-07-12T07:00:00Z","description":"National media performance.","dueDate":"2024-07-15","endDate":"2024-06-30","reportId":"e7d8d3c5-92f8-42fa-8e29-aa3e80d49e0d","reportName":"Accent Athletics US Running Shoes Q2 2024","startDate":"2024-04-01","status":"PROCESSING"},{"configuration":{"brandGroupId":"d0145381-b4a9-41a0-83de-e56c8f07d712","geoDimension":"COUNTRY","metricsType":"MEDIA_ONLY","timeUnit":"DAILY"},"createdAt":"2024-04-12T07:00:00Z","description":"National media performance.","dueDate":"2024-04-15","endDate":"2024-03-31","reportId":"3190da6e-5633-4b9a-b588-acfcdcf4d47e","reportName":"Accent Athletics US Running Shoes Q1 2024","startDate":"2024-01-01","status":"SUCCEEDED","urls":["https://example.com/3190da6e-5633-4b9a-b588-acfcdcf4d47e/AggregatedSummaryReport.xlsx","https://example.com/3190da6e-5633-4b9a-b588-acfcdcf4d47e/CreativeGrainNationalCampaignPerformanceMetrics.tsv.zip","https://example.com/3190da6e-5633-4b9a-b588-acfcdcf4d47e/SSPANationalCampaignPerformanceMetrics.tsv.zip"],"urlsExpireAt":"2024-04-12T09:15:45Z"}]},"schema":{"properties":{"nextToken":{"description":"Token value allowing navigation to the next response page.","type":"string"},"reports":{"items":{"$ref":"#/components/schemas/MmmReport"},"maxItems":100,"minItems":0,"type":"array"}},"type":"object"}}},"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"List reports","tags":["Reports"]}},"/mmm/v1/reports/{reportId}":{"delete":{"description":"Deletes a report by ID. Use this operation to cancel or clean up a report.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"deleteMmmReport","responses":{"204":{"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Not found."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"Delete a report","tags":["Reports"]},"get":{"description":"Gets the generation status of a report by ID. The `reportId` is found in the response to creating a report using `POST /mmm/v1/reports`. When the `status` is `SUCCESSFUL` the output files will be available for download at `urls`. A report may take up to 24 hours to be processed. Repeated calls to check report status may generate a 429 response, indicating that your requests have been throttled. To retrieve reports programmatically, your application logic should institute a delay between requests.\n\n**Authorized resource type**:\nGlobal Manager Account ID\n\n**Parameter name**:\nAmazon-Advertising-API-Manager-Account\n\n**Parameter in**:\nheader\n\n**Requires one of these permissions**:\n[\"MasterAccount_Manager\",\"MasterAccount_Viewer\",\"ManagerAccount_Dev\",\"MA_ReadOnly\"]","operationId":"getMmmReport","responses":{"200":{"content":{"application/json":{"examples":{"failed":{"value":{"configuration":{"brandGroupId":"d0145381-b4a9-41a0-83de-e56c8f07d712","geoDimension":"COUNTRY","metricsType":"MEDIA_ONLY","timeUnit":"WEEKLY"},"createdAt":"2024-04-12T07:00:00Z","description":"National media performance.","dueDate":"2024-04-15","endDate":"2024-03-31","failureCode":"NO_DATA","failureMessage":"There is no data in the requested date range.","reportId":"3190da6e-5633-4b9a-b588-acfcdcf4d47e","reportName":"Accent Athletics US Running Shoes Q1 2024","startDate":"2024-01-01","status":"FAILED"}},"processing":{"value":{"configuration":{"brandGroupId":"d0145381-b4a9-41a0-83de-e56c8f07d712","geoDimension":"COUNTRY","metricsType":"MEDIA_ONLY","timeUnit":"WEEKLY"},"createdAt":"2024-04-12T07:00:00Z","description":"National media performance.","dueDate":"2024-04-15","endDate":"2024-03-31","reportId":"3190da6e-5633-4b9a-b588-acfcdcf4d47e","reportName":"Accent Athletics US Running Shoes Q1 2024","startDate":"2024-01-01","status":"PROCESSING"}},"succeeded":{"value":{"configuration":{"brandGroupId":"d0145381-b4a9-41a0-83de-e56c8f07d712","geoDimension":"COUNTRY","metricsType":"MEDIA_ONLY","timeUnit":"WEEKLY"},"createdAt":"2024-04-12T07:00:00Z","description":"National media performance.","dueDate":"2024-04-15","endDate":"2024-03-31","reportId":"3190da6e-5633-4b9a-b588-acfcdcf4d47e","reportName":"Accent Athletics US Running Shoes Q1 2024","startDate":"2024-01-01","status":"SUCCEEDED","urls":["https://example.com/3190da6e-5633-4b9a-b588-acfcdcf4d47e/AggregatedSummaryReport.xlsx","https://example.com/3190da6e-5633-4b9a-b588-acfcdcf4d47e/CreativeGrainNationalCampaignPerformanceMetrics.tsv.zip","https://example.com/3190da6e-5633-4b9a-b588-acfcdcf4d47e/SSPANationalCampaignPerformanceMetrics.tsv.zip"],"urlsExpireAt":"2024-04-12T09:15:45Z"}}},"schema":{"$ref":"#/components/schemas/MmmReport"}}},"description":"Successful operation."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Bad request."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Unauthorized. User is not authenticated or is not allowed to invoke the operation."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Forbidden. Request failed because user does not have access to a specified resource."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Not found."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Too many requests. Request was rate-limited. Retry later."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MmmError"}}},"description":"Internal server error. Retry later and report an error if unresolved."}},"summary":"Get a report","tags":["Reports"]}}}}